Subject: Re: cherry-pick with --no-rerere-autoupdate does still rerere?

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Jul 2022 10:49:46 -0700

Matthias Beyer <[email-masked]> writes:

> Excerpts from Junio C Hamano's message of Juli 2, 2022 9:04 pm:
>> Matthias Beyer <[email-masked]> writes:
>> 
>>> I just experienced a `git cherry-pick <commit> --no-rerere-autoupdate` where the
>>> conflict still got automatically resolved from rerere.
>> 
>> If I am not mistaken, this is totally expected.  You told the
>> command "use rerere but do not blindly accept the replayed
>> resolution into the index".
>
> Ah! After over 10 years of using git, I still missed that ("update the index" in
> the manpage). I was thinking about "cherry pick this, but don't use rerere at
> all".
>
> Thanks for clearing up my confusion!

It is highly appreciated that you gave us an opportunity to
improving the documentation (or possibly something else) to avoid
getting other users into a similar misunderstanding.

A discussion, proposal, or a patch to improve docs and helps is
certainly welcome.